summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-03-21 18:19:16 +0100
committerMichał Górny <mgorny@gentoo.org>2018-03-21 19:12:49 +0100
commit9c3e53224104840c14c33c4487bba32c710df0ea (patch)
tree923ca17af5a395fbfe01cf673993cb5f1323b432 /sys-devel/crossdev/crossdev-20180302-r1.ebuild
parentsys-apps/entropy: Support sys-apps/portage-mgorny (diff)
downloadgentoo-9c3e53224104840c14c33c4487bba32c710df0ea.tar.gz
gentoo-9c3e53224104840c14c33c4487bba32c710df0ea.tar.bz2
gentoo-9c3e53224104840c14c33c4487bba32c710df0ea.zip
sys-devel/crossdev: Support sys-apps/portage-mgorny
Diffstat (limited to 'sys-devel/crossdev/crossdev-20180302-r1.ebuild')
-rw-r--r--sys-devel/crossdev/crossdev-20180302-r1.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/sys-devel/crossdev/crossdev-20180302-r1.ebuild b/sys-devel/crossdev/crossdev-20180302-r1.ebuild
new file mode 100644
index 00000000000..d1adb4564b5
--- /dev/null
+++ b/sys-devel/crossdev/crossdev-20180302-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+if [[ ${PV} == "99999999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="git://anongit.gentoo.org/proj/crossdev.git"
+else
+ SRC_URI="mirror://gentoo/${P}.tar.xz
+ https://dev.gentoo.org/~slyfox/distfiles/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+fi
+
+DESCRIPTION="Gentoo Cross-toolchain generator"
+HOMEPAGE="https://www.gentoo.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ || (
+ >=sys-apps/portage-2.1
+ sys-apps/portage-mgorny
+ )
+ >=app-portage/portage-utils-0.55
+ app-shells/bash
+ sys-apps/gentoo-functions
+ !sys-devel/crossdev-wrappers"
+DEPEND="app-arch/xz-utils"
+
+src_install() {
+ default
+
+ if [[ "${PV}" == "99999999" ]] ; then
+ sed -i "s:@CDEVPV@:${EGIT_VERSION}:" "${ED%/}"/usr/bin/crossdev || die
+ fi
+}